Subject: Re: [Alsa-devel] RFC: OSS driver removal, a slightly different approach

From: Ben Collins <[email-masked]>
Date: Mon, 23 Jan 2006 08:12:51 -0500

On Mon, 2006-01-23 at 13:20 +0100, Takashi Iwai wrote:
> > > > > Can someone from the ppc developers drop me a small note whether 
> > > > > SND_POWERMAC completely replaces DMASOUND_PMAC?
> > > > 
> > > > It doesnt. Some tumbler models work only after one plug/unplug cycle of
> > > > the headphone. early powerbooks report/handle the mute settings
> > > > incorrectly. there are likely more bugs.
> > > 
> > > Interesting... Ben Collins hacked something to have Toonie work as a
> > > "default" driver for non supported machine and saw that problem too, I
> > > think he fixes it, I'll check with him what's up there and if his fix
> > > applied to tumbler.c as well.
> > 
> > My "fix" was basically the result of converting to the platform
> > functions. It's hit or miss whether this works with tumbler too.
> > 
> > You can try the Ubuntu kernel packages (they can be unpacked and used on
> > non Ubuntu systems pretty easily) to see if it works for you. Tumbler
> > platform function conversion isn't even tested, so I'd be happy to hear
> > any feedback.
> 
> Don't forget to forward your patches to alsa-devel or me ;)

I'm passing everything through to BenH, especially since it's all using
functions new in his ppc tree.

Update on this "fix", it worked only because platform function
interrupts weren't enabled. Now that they are, it's back to the same old
thing.

At least that's a clue, though.

-- 
Ben Collins
Kernel Developer - Ubuntu Linux